#include<qpixmap.h>

#ifdef INCLXPM
#include"xpm/z1.xpm"
#include"xpm/z2.xpm"
#include"xpm/z3.xpm"
#include"xpm/z4.xpm"
#include"xpm/z5.xpm"
#include"xpm/z6.xpm"
#include"xpm/z7.xpm"
#include"xpm/z8.xpm"
#include"xpm/z9.xpm"

#include"xpm/p1.xpm"
#include"xpm/p2.xpm"
#include"xpm/p3.xpm"
#include"xpm/p4.xpm"
#include"xpm/p5.xpm"
#include"xpm/p6.xpm"
#include"xpm/p7.xpm"
#include"xpm/p8.xpm"
#include"xpm/p9.xpm"

#include"xpm/sel.xpm"
#endif

class PixmapColl 
{
public:
 	PixmapColl();   
 	~PixmapColl() {}   
protected:
	QPixmap _coll[9];
	QPixmap _nums[9];
	QPixmap _sel;
public:
	QPixmap operator[](int val) { return _coll[val]; }
	QPixmap sel() { return _sel; }
};

PixmapColl::PixmapColl() 
{
#ifdef INCLXPM
	_coll[0]=QPixmap((const char**)p1);
	_coll[1]=QPixmap((const char**)p2);
	_coll[2]=QPixmap((const char**)p3);
	_coll[3]=QPixmap((const char**)p4);
	_coll[4]=QPixmap((const char**)p5);
	_coll[5]=QPixmap((const char**)p6);
	_coll[6]=QPixmap((const char**)p7);
	_coll[7]=QPixmap((const char**)p8);
	_coll[8]=QPixmap((const char**)p9);

	_nums[0]=QPixmap((const char**)z1);
	_nums[1]=QPixmap((const char**)z2);
	_nums[2]=QPixmap((const char**)z3);
	_nums[3]=QPixmap((const char**)z4);
	_nums[4]=QPixmap((const char**)z5);
	_nums[5]=QPixmap((const char**)z6);
	_nums[6]=QPixmap((const char**)z7);
	_nums[7]=QPixmap((const char**)z8);
	_nums[8]=QPixmap((const char**)z9);

	_sel=QPixmap((const char**)sel);
#else
	_coll[0]=QPixmap("xpm/p1.xpm");
	_coll[1]=QPixmap("xpm/p2.xpm");
	_coll[2]=QPixmap("xpm/p3.xpm");
	_coll[3]=QPixmap("xpm/p4.xpm");
	_coll[4]=QPixmap("xpm/p5.xpm");
	_coll[5]=QPixmap("xpm/p6.xpm");
	_coll[6]=QPixmap("xpm/p7.xpm");
	_coll[7]=QPixmap("xpm/p8.xpm");
	_coll[8]=QPixmap("xpm/p9.xpm");

	_nums[0]=QPixmap("xpm/z1.xpm");
	_nums[1]=QPixmap("xpm/z2.xpm");
	_nums[2]=QPixmap("xpm/z3.xpm");
	_nums[3]=QPixmap("xpm/z4.xpm");
	_nums[4]=QPixmap("xpm/z5.xpm");
	_nums[5]=QPixmap("xpm/z6.xpm");
	_nums[6]=QPixmap("xpm/z7.xpm");
	_nums[7]=QPixmap("xpm/z8.xpm");
	_nums[8]=QPixmap("xpm/z9.xpm");

	_sel=QPixmap("xpm/sel.xpm");
#endif
	int i; QBitmap bmp;
	for (i=0; i<9; i++) {
		bitBlt(&_coll[i],0,0,&_nums[i],0,0,-1,-1,Qt::CopyROP,FALSE);
		bmp=*_coll[i].mask();
		bitBlt(&bmp,0,0,_nums[i].mask(),0,0,-1,-1,Qt::OrROP);
		_coll[i].setMask(bmp);
	}
}

